# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize gcc-c++ pkgconfig(gl) pkgconfig(glu) pkgconfig(x11) pkgconfig(zlib)
# END SourceDeps(oneline)
Name:           berusky2
Version:        0.9
Release:        alt1_1
License:        GPLv2+
Summary:        Sokoban clone
Group:          Games/Other
Source:         http://www.anakreon.cz/download/%{name}-%{version}.tar.gz
URL:            http://www.anakreon.cz/en/Berusky2.htm

Requires:       berusky2-data >= 0.7
BuildRequires:  libSDL-devel
BuildRequires:  libSDL_image-devel
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libalut-devel
BuildRequires:  libopenal-devel
BuildRequires:  libvorbis-devel
ExclusiveArch:  %{ix86} x86_64 %{arm}
Source44: import.info

%description
Berusky 2 is a game that challenges your visual/spatial thinking
and ability to find a way to resolve a logic task. Using five bugs,
you'll go through an adventure full of various puzzles spread across
nine episodes. Individual episodes differ in appearance and difficulty,
which increases throughout the game.

%prep
%setup -q

%build
%configure CFLAGS="$RPM_OPT_FLAGS"

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

# Move documentation so it can get installed to the right place.
mkdir _tmpdoc
mv %{buildroot}%{_usr}/doc/%{name}/* _tmpdoc/
rm -f _tmpdoc/INSTALL

# Install ini file
mkdir -p %{buildroot}%{_var}/games/%{name}
install -pm 644 %{buildroot}/%{_datadir}/%{name}/berusky3d.ini \
                %{buildroot}%{_var}/games/%{name}

# Install icon and desktop file
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps
cp -p %{buildroot}/%{_datadir}/%{name}/berusky2.png \
      %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps

desktop-file-install --dir %{buildroot}/%{_datadir}/applications \
                     --add-category X-Fedora %{buildroot}/%{_datadir}/%{name}/berusky2.desktop

# Remove directory that will be owned by data package.
rm -rf %{buildroot}/%{_datadir}/%{name}

%files
%doc _tmpdoc/*
%{_bindir}/berusky2
%{_datadir}/applications/berusky2.desktop
%{_datadir}/icons/hicolor/32x32/apps/berusky2.png
%dir %{_var}/games/%{name}
%{_var}/games/%{name}/*

%changelog
* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_1
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_3
- update to new release by fcimport

* Fri Dec 21 2012 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_2
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_3
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_2
- converted for Sisyphus

